package problems on upgrade

hashime

New Member
Aug 9, 2014
20
0
1
Hello

I am using a vanilla promxox installtion for a few month now, but now i am failing to upgrade it.
dpkg is returning errors:

Unpacking libuutil1linux (0.6.5.7-2~bpo8+1) ...
dpkg: error processing archive /var/cache/apt/archives/libuutil1linux_0.6.5.7-2~bpo8+1_amd64.deb (--unpack):
trying to overwrite '/lib/libuutil.so.1.0.1', which is also in package libuutil1 0.6.5-pve9~jessie
Preparing to unpack .../libnvpair1linux_0.6.5.7-2~bpo8+1_amd64.deb ...
Unpacking libnvpair1linux (0.6.5.7-2~bpo8+1) ...
dpkg: error processing archive /var/cache/apt/archives/libnvpair1linux_0.6.5.7-2~bpo8+1_amd64.deb (--unpack):
trying to overwrite '/lib/libnvpair.so.1.0.1', which is also in package libnvpair1 0.6.5-pve9~jessie
Preparing to unpack .../libzpool2linux_0.6.5.7-2~bpo8+1_amd64.deb ...
Unpacking libzpool2linux (0.6.5.7-2~bpo8+1) ...
dpkg: error processing archive /var/cache/apt/archives/libzpool2linux_0.6.5.7-2~bpo8+1_amd64.deb (--unpack):
trying to overwrite '/lib/libzpool.so.2.0.0', which is also in package libzpool2 0.6.5-pve9~jessie
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to unpack .../libzfs2linux_0.6.5.7-2~bpo8+1_amd64.deb ...
Unpacking libzfs2linux (0.6.5.7-2~bpo8+1) ...
dpkg: error processing archive /var/cache/apt/archives/libzfs2linux_0.6.5.7-2~bpo8+1_amd64.deb (--unpack):
trying to overwrite '/lib/libzfs_core.so.1.0.0', which is also in package libzfs2 0.6.5-pve9~jessie
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to unpack .../zfsutils-linux_0.6.5.7-2~bpo8+1_amd64.deb ...
Unpacking zfsutils-linux (0.6.5.7-2~bpo8+1) ...
dpkg: error processing archive /var/cache/apt/archives/zfsutils-linux_0.6.5.7-2~bpo8+1_amd64.deb (--unpack):
trying to overwrite '/etc/zfs/zfs-functions', which is also in package zfsutils 0.6.5-pve9~jessie
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to unpack .../base-files_8+deb8u6_amd64.deb ...
Unpacking base-files (8+deb8u6) over (8+deb8u5) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for install-info (5.2.0.dfsg.1-6) ...
Errors were encountered while processing:
/var/cache/apt/archives/libuutil1linux_0.6.5.7-2~bpo8+1_amd64.deb
/var/cache/apt/archives/libnvpair1linux_0.6.5.7-2~bpo8+1_amd64.deb
/var/cache/apt/archives/libzpool2linux_0.6.5.7-2~bpo8+1_amd64.deb
/var/cache/apt/archives/libzfs2linux_0.6.5.7-2~bpo8+1_amd64.deb
/var/cache/apt/archives/zfsutils-linux_0.6.5.7-2~bpo8+1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


any suggestions?
 

dietmar

Proxmox Staff Member
Staff member
Apr 28, 2005
16,491
315
83
Austria
www.proxmox.com
Seems you installed some zfs package from an external repository? We ship our own zfs packages, so you run into that conflict (remove them first).
 

fabian

Proxmox Staff Member
Staff member
Jan 7, 2016
3,399
529
113
those are the ZFS packages from jessie-backports, which you only get if you explicitly install them.. don't do that ;)
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!